Is there a Ruby for automatically showing segment ends?
-
Attached is a screen shot of what I'd like when the ruby is used(minus the selecting of every other segment). Hopefully you know what I mean.
Thanks,
Jeff
-
Showing segment ends or selecting every other line? Different things. Selecting everyother line is an interesting idea, but gets complicated quickly on things that are not liner lines - like a terrain.
But showing segment ends is easy already. Do it through styles. You can enable "Endpoints". But that doesn't show endpoints in the middle of arcs and curves I guess. Only ends that are not part of a curve. I guess a plugin would have to be made for that. You could easily add construction points to every endpoint in a model. Might be interesting?
Chris
-
I am currently working on a complex Topo - to find vertices to move or snap-to I use a Style that has well marked end-points... No need for a Ruby [although that is my forte...]
-
What I am thinking is being able to have the end point or intersection of each segment. Once that is done and showing, I can use the perpendicular face tool of Chris's and apply a face to each of those so the spacing is consistent. Then you can use the scale tool for example and adjust each face, maybe making some circles oval etc. Then explode each curve and delete one segment from each face(the face is actually deleted. Now you can use Chris's Loft tool and make a sort of sweep. After that is done, you have to go back and fill in the rest of the missing surface. The attached should help explain....hopefully .
Jeff
-
Basis of a Tool...
This adds a cpoint at every edge's start/end...def pointsatends() model=Sketchup.active_model ss=model.selection model.start_operation("points at ends") verts=[] ss.each{|e| if e.class==Sketchup;;Edge verts<<e.start if not verts.include?(e.start) verts<<e.end if not verts.include?(e.end) end#if } verts.uniq! ents=model.active_entities verts.each{|v| ents.add_cpoint(v.position) } model.commit_operation end#def
Copy/Paste into a file called
pointsatends.rb
To run Select the Edges in question and typepointsatends
into the Ruby Console... -
LOL...funny guy Frenchy.
-
Works fine
-
The lack of the Chris Simple Loft is to erase a segment of a closed curve
But its Random Painter is a very funny thing
Advertisement